{% extends('admin/adminLayout.twig') %}
{% block content %}

    <h1>Utilisateur {{ U.firstname }} {{ U.lastname}}</h1>

    <p>Inscription : {{ U.registration_date }}</p>
    <p>Dernier accès : {{ U.last_access }}</p>

    {% for key,val in U.stats %}
        <p><b> {{ key|upper }}</b></p>
        {% for key2,val2 in val %}
            {{ key2 }} : {{ val2 }}<br>
        {% endfor %}
    {% endfor %}

    <p><b>Les {{ History|length }} dernières modifications de {{ U.user }} : </b></p>

    <div class="col-xs-12">
        <form action="{{ url('user-infos', { 'id' : U.id }) }}" method="get" class="form-inline">
            <div class="row">
                <div class="form-group mx-sm-3">
                    <input class="form-control" name="limit" id="limit" type="number" min="1" max="500" value="{{ limit|default(100) }}" />
                </div>
                <button class="btn btn-primary" type="submit">Ok</button>
            </div>
        </form>
    </div>
    
     {% include "admin/historyDetails.twig" %}


{% endblock %}
